#pragma once
#include "Basic.h"
#include <string>
#include <Engine/GraphicLayers.h>
#include <Utils/Point2D.h>

class Animator
{
public:
	virtual void setAnimation(Direction direction, std::string animationID, bool isLooping = true, float speed = 1) = 0;
	virtual void setDirection(Direction direction, std::string animationID) = 0;
	virtual void draw(gge::graphics::ImageTarget2D &targetLayer,
					  const gge::utils::Point &location,
					  float zoomAmount) = 0;
};